gi-gtk3-3.0.44: Gtk 3.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Structs.FixedChild

Contents

- Exported types
- Methods
- Properties
  - widget
  - x
  - y

Description

No description available in the introspection data.

Synopsis

- newtype FixedChild = FixedChild (ManagedPtr FixedChild)
- newZeroFixedChild :: MonadIO m => m FixedChild
- clearFixedChildWidget :: MonadIO m => FixedChild -> m ()
- getFixedChildWidget :: MonadIO m => FixedChild -> m (Maybe Widget)
- setFixedChildWidget :: MonadIO m => FixedChild -> Ptr Widget -> m ()
- getFixedChildX :: MonadIO m => FixedChild -> m Int32
- setFixedChildX :: MonadIO m => FixedChild -> Int32 -> m ()
- getFixedChildY :: MonadIO m => FixedChild -> m Int32
- setFixedChildY :: MonadIO m => FixedChild -> Int32 -> m ()

# Exported types

newtype FixedChild Source #

Memory-managed wrapper type.

Constructors

FixedChild (ManagedPtr FixedChild) |

#### Instances

Instances details

Eq FixedChild Source # |
Instance details Defined in GI.Gtk.Structs.FixedChild Methods (==) :: FixedChild -> FixedChild -> Bool Source # (/=) :: FixedChild -> FixedChild -> Bool Source #
BoxedPtr FixedChild Source # |
Instance details Defined in GI.Gtk.Structs.FixedChild Methods boxedPtrCopy :: FixedChild -> IO FixedChild Source # boxedPtrFree :: FixedChild -> IO () Source #
CallocPtr FixedChild Source # |
Instance details Defined in GI.Gtk.Structs.FixedChild Methods boxedPtrCalloc :: IO (Ptr FixedChild) Source #
ManagedPtrNewtype FixedChild Source # |
Instance details Defined in GI.Gtk.Structs.FixedChild Methods toManagedPtr :: FixedChild -> ManagedPtr FixedChild Source #
tag ~ 'AttrSet => Constructible FixedChild tag Source # |
Instance details Defined in GI.Gtk.Structs.FixedChild Methods new :: MonadIO m => (ManagedPtr FixedChild -> FixedChild) -> [AttrOp FixedChild tag] -> m FixedChild Source #

newZeroFixedChild :: MonadIO m => m FixedChild Source #

Construct a `FixedChild` struct initialized to zero.

# Methods

# Properties

## widget

No description available in the introspection data.

clearFixedChildWidget :: MonadIO m => FixedChild -> m () Source #

Set the value of the “`widget`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #widget

getFixedChildWidget :: MonadIO m => FixedChild -> m (Maybe Widget) Source #

Get the value of the “`widget`” field. When overloading is enabled, this is equivalent to

    get fixedChild #widget

setFixedChildWidget :: MonadIO m => FixedChild -> Ptr Widget -> m () Source #

Set the value of the “`widget`” field. When overloading is enabled, this is equivalent to

    set fixedChild [ #widget := value ]

## x

No description available in the introspection data.

getFixedChildX :: MonadIO m => FixedChild -> m Int32 Source #

Get the value of the “`x`” field. When overloading is enabled, this is equivalent to

    get fixedChild #x

setFixedChildX :: MonadIO m => FixedChild -> Int32 -> m () Source #

Set the value of the “`x`” field. When overloading is enabled, this is equivalent to

    set fixedChild [ #x := value ]

## y

No description available in the introspection data.

getFixedChildY :: MonadIO m => FixedChild -> m Int32 Source #

Get the value of the “`y`” field. When overloading is enabled, this is equivalent to

    get fixedChild #y

setFixedChildY :: MonadIO m => FixedChild -> Int32 -> m () Source #

Set the value of the “`y`” field. When overloading is enabled, this is equivalent to

    set fixedChild [ #y := value ]